<?php 

defined( 'ABSPATH' ) || die();

class LD_Testimonial_Template_Handler {

    function ld_testi_get_classes( $style ) {

        $hash = array(
            'style01' => 'lqd-testi-style-1 d-flex flex-column-reverse lqd-testi-card lqd-testi-shadow-xs lqd-testi-details-lg lqd-testi-quote-18 lqd-testi-avatar-72',
            'style02' => 'lqd-testi-style-2 d-flex flex-column lqd-testi-card lqd-testi-shadow-none lqd-testi-details-sm lqd-testi-quote-18 lqd-testi-avatar-60 lqd-testi-bubble-all lqd-testi-outline',
            'style03' => 'lqd-testi-style-3 d-flex flex-column lqd-testi-card lqd-testi-shadow-xs lqd-testi-quote-21 lqd-testi-avatar-60',
            'style04' => 'lqd-testi-style-4 d-flex flex-row-reverse lqd-testi-card lqd-testi-shadow-xxl lqd-testi-quote-15 lqd-testi-avatar-65',
            'style05' => 'lqd-testi-style-5 d-flex flex-column lqd-testi-card lqd-testi-details-sm lqd-testi-quote-22 lqd-testi-avatar-48',
            'style06' => 'lqd-testi-style-6 d-flex flex-column lqd-testi-card lqd-testi-details-sm lqd-testi-quote-21 lqd-testi-avatar-48 pt-8 pb-8 text-center',
            'style07' => 'lqd-testi-style-7 d-flex flex-wrap align-items-stretch p-0 lqd-testi-card lqd-testi-shadow-lg lqd-testi-quote-21',
            'style08' => 'lqd-testi-style-8 d-flex flex-column-reverse lqd-testi-card lqd-testi-shadow-none lqd-testi-details-sm lqd-testi-quote-16 lqd-testi-avatar-48',
            'style09' => 'lqd-testi-style-9 d-flex flex-column-reverse lqd-testi-brd round lqd-testi-details-sm lqd-testi-quote-16 lqd-testi-avatar-48',
            'style10' => 'lqd-testi-style-10 d-flex flex-column lqd-testi-card lqd-testi-shadow-none lqd-testi-details-sm lqd-testi-quote-18 lqd-testi-avatar-65 text-center',
            'style11' => 'lqd-testi-style-11 d-flex flex-column lqd-testi-card lqd-testi-shadow-sm lqd-testi-details-sm lqd-testi-quote-18 lqd-testi-avatar-48 text-center',
            'style12' => 'lqd-testi-style-12 lqd-testi-quote-18 lqd-testi-avatar-65',
            'style13' => 'lqd-testi-style-13 d-flex flex-wrap lqd-testi-details-sm lqd-testi-quote-25 lqd-testi-avatar-72',
            'style14' => 'lqd-testi-style-14 d-flex flex-column-reverse lqd-testi-details-xl lqd-testi-quote-22 lqd-testi-avatar-90',
            'style15' => 'lqd-testi-style-15 d-flex flex-wrap lqd-testi-bubble round lqd-testi-details-lg lqd-testi-quote-25',
            'style16' => 'lqd-testi-style-16 d-flex flex-wrap align-items-stretch p-0 lqd-testi-card lqd-testi-shadow-xl lqd-testi-quote-27',
            'style17' => 'lqd-testi-style-17 lqd-testi-avatar-85 lqd-testi-details-sm lqd-testi-quote-16 text-center lqd-testi-bubble-alt',
            'style18' => 'lqd-testi-style-18 pt-6 pb-4 lqd-testi-shadow-sm2 lqd-testi-details-sm lqd-testi-quote-18 lqd-testi-avatar-68 text-center',
            'style19' => 'lqd-testi-style-19 d-flex flex-column lqd-testi-card lqd-testi-shadow-sm lqd-testi-details-same lqd-testi-details-inline lqd-testi-quote-18 lqd-testi-avatar-60',
        );

        return isset( $hash[ $style ] ) ? $hash[ $style ] : 'testimonial';
    }

    function ld_testi_get_quote( $quote ) {

        // check
        if( empty( $quote ) ) {
            return '';
        }
        $content = ld_helper()->do_the_content( $quote );

        // Default
        $content = sprintf( '<blockquote>%s</blockquote>', $content );

        echo $content;

    }

    function ld_testi_get_avatar( $classnames = null, $style, $avatar, $title ) {

        // check
        if( empty( $avatar['url'] ) ) {
            return '';
        }

        $alt = $title;
        $out = '';


        if( preg_match( '/^\d+$/', $avatar['url'] ) ){
            
            if( 'style07' === $style || 'style16' === $style ) {
                $out = wp_get_attachment_image( $avatar['id'], 'full', false, array( 'alt' => esc_html( $alt ), 'class' => 'w-100 h-100 flex-grow objfit-cover objpos-center' ) );	
            }
            else {
                $out = wp_get_attachment_image( $avatar['id'], 'full', false, array( 'alt' => esc_html( $alt ), 'class' => 'circle' ) );	
            }
            // check
            if( ! $out ) {
                return;
            }
        } else {
            $out = esc_url( $avatar['url'] );
            if( 'style07' === $style || 'style16' === $style ) {
                $out = sprintf( '<img class="w-100 h-100 flex-grow objfit-cover objpos-center" src="%s" alt="%s" />', $out, esc_html( $alt ) );
            }
            else {
                // Default
                $out = sprintf( '<img class="circle" src="%s" alt="%s" />', $out, esc_html( $alt ) );
            }
        }

        if( 'style07' === $style || 'style16' === $style ) {
            $out = sprintf( '<figure class="lqd-testi-avatar d-flex w-100 m-0 mx-0">%s</figure>', $out );
        }
        elseif( 'style17' === $style ) {
            $out = sprintf( '<figure class="lqd-testi-avatar circle overflow-hidden mx-0 mb-2">%s</figure>', $out );
        }
        else {
            // Default
            $out = sprintf( '<figure class="lqd-testi-avatar %s">%s</figure>', $classnames, $out );
        }


        echo $out;
    }

    function ld_testi_get_name( $tag = 'h3', $classes = null, $title ) {

        $name = $title;
        if( empty( $name ) ) {
            return;
        }
        $classnames = '';
        if( !empty( $classes ) ) {
            $classnames = 'class="' . $classes . '"';
        }

        printf( '<%1$s %3$s>%2$s</%1$s>', $tag, esc_html( $name ), $classnames );
    }

    function ld_testi_get_position( $tag = 'h4', $classes = null, $position ) {

        if( empty( $position ) ) {
            return;
        }

        if( !empty( $classes ) ) {
            $classes = 'class="' . $classes . '"';
        }		

        printf( '<%1$s %3$s>%2$s</%1$s>', $tag, esc_html( $position ), $classes );

    }

    function ld_testi_get_social_icon( $network ) {

        // check
        if( empty( $network ) ) {
            return '';
        }		
        $net = $this->ld_testi_get_network_class( $network );

        printf( '<div class="lqd-testi-social-icon branded-text"><i class="%s"></i></div>', $net['icon'] );

    }

    function ld_testi_get_network_class( $network ) {

        $hash = array(
            'fa-amazon' => array(
                'bg' => 'bg-amazon',
                'icon' => 'fa fa-amazon',
                'text' => 'Amazon'
            ),		
            'fa-facebook' => array(
                'bg' => 'bg-facebook',
                'icon' => 'fa fa-facebook',
                'text' => 'Facebook'
            ),		
            'fa-facebook-square' => array(
                'bg' => 'bg-facebook-square',
                'icon' => 'fa fa-facebook-square',
                'text' => 'Facebook'
            ),
            'fa-twitch' => array(
                'bg' => 'bg-twitch',
                'icon' => 'fa fa-twitch',
                'text' => 'Twitch'
            ),
            
            'fa-twitter' => array(
                'bg' => 'bg-twitter',
                'icon' => 'fa fa-twitter',
                'text' => 'Twitter'
            ),
            'fa-twitter-square' => array(
                'bg' => 'bg-twitter-square',
                'icon' => 'fa fa-twitter-square',
                'text' => 'Twitter Square'
            ),
            'fa-youtube' => array(
                'bg' => 'bg-youtube',
                'icon' => 'fa fa-youtube',
                'text' => 'Youtube Play'
            ),

            'fa-google' => array(
                'bg' => 'bg-google',
                'icon' => 'fa fa-google',
                'text' => 'Google'
            ),
            'fa-google-plus' => array(
                'bg' => 'bg-google-plus',
                'icon' => 'fa fa-google-plus',
                'text' => 'Google+'
            ),
            'fa-instagram' => array(
                'bg' => 'bg-instagram',
                'icon' => 'fa fa-instagram',
                'text' => 'Instagram'
            ),
            'fa-flickr' => array(
                'bg' => 'bg-flickr',
                'icon' => 'fa fa-flickr',
                'text' => 'Flickr'
            ),
            'fa-pinterest' => array(
                'bg' => 'bg-pinterest',
                'icon' => 'fa fa-pinterest',
                'text' => 'Pinterest'
            ),
            'fa-pinterest-p' => array(
                'bg' => 'bg-pinterest-p',
                'icon' => 'fa fa-pinterest-p',
                'text' => 'Pinterest P'
            ),
            'fa-vimeo' => array(
                'bg' => 'bg-vimeo',
                'icon' => 'fa fa-vimeo',
                'text' => 'Vimeo'
            ),
            'fa-linkedin' => array(
                'bg' => 'bg-linkedin',
                'icon' => 'fa fa-linkedin',
                'text' => 'Linkedin'
            ),
            'fa-github' => array(
                'bg' => 'bg-github',
                'icon' => 'fa fa-github',
                'text' => 'Github'
            ),
            'fa-dribbble' => array(
                'bg' => 'bg-dribbble',
                'icon' => 'fa fa-dribbble',
                'text' => 'Dribbble'
            ),
            'fa-skype' => array(
                'bg' => 'bg-skype',
                'icon' => 'fa fa-skype',
                'text' => 'Skype'
            ),
            'fa-behance' => array(
                'bg' => 'bg-behance',
                'icon' => 'fa fa-behance',
                'text' => 'Behance'
            ),
            'fa-behance-square' => array(
                'bg' => 'bg-behance',
                'icon' => 'fa fa-behance-square',
                'text' => 'Behance Square'
            ),
            'fa-rss' => array(
                'bg' => 'bg-rss',
                'icon' => 'fa fa-rss',
                'text' => 'Rss'
            ),
            'fa-rss-square' => array(
                'bg' => 'bg-rss-square',
                'icon' => 'fa fa-rss-square',
                'text' => 'Rss Square'
            ),
            'fa-codepen' => array(
                'bg' => 'bg-codepen',
                'icon' => 'fa fa-codepen',
                'text' => 'Codepen'
            ),
            'fa-deviantart' => array(
                'bg' => 'bg-deviantart',
                'icon' => 'fa fa-deviantart',
                'text' => 'Devianart'
            ),
            'fa-digg' => array(
                'bg' => 'bg-digg',
                'icon' => 'fa fa-digg',
                'text' => 'Digg'
            ),
            'fa-jsfiddle' => array(
                'bg' => 'bg-jsfiddle',
                'icon' => 'fa fa-jsfiddle',
                'text' => 'Jsfiddle'
            ),
            'fa-medium' => array(
                'bg' => 'bg-medium',
                'icon' => 'fa fa-medium',
                'text' => 'Medium'
            ),
            'fa-paypal' => array(
                'bg' => 'bg-paypal',
                'icon' => 'fa fa-paypal',
                'text' => 'Paypal'
            ),
            'fa-reddit' => array(
                'bg' => 'bg-reddit',
                'icon' => 'fa fa-reddit',
                'text' => 'Reddit'
            ),
            'fa-reddit-square' => array(
                'bg' => 'bg-reddit-square',
                'icon' => 'fa fa-reddit-square',
                'text' => 'Reddit Square'
            ),
            'fa-slack' => array(
                'bg' => 'bg-slack',
                'icon' => 'fa fa-slack',
                'text' => 'Slack'
            ),
            'fa-snapchat' => array(
                'bg' => 'bg-snapchat',
                'icon' => 'fa fa-snapchat',
                'text' => 'Snapchat'
            ),
            'fa-soundcloud' => array(
                'bg' => 'bg-soundcloud',
                'icon' => 'fa fa-soundcloud',
                'text' => 'Soundcloud'
            ),
            'fa-spotify' => array(
                'bg' => 'bg-spotify',
                'icon' => 'fa fa-spotify',
                'text' => 'Spotify'
            ),
            'fa-stack-overflow' => array(
                'bg' => 'bg-stack-overflow',
                'icon' => 'fa fa-stack-overflow',
                'text' => 'Stack Overflow'
            ),
            'fa-telegram' => array(
                'bg' => 'bg-telegram',
                'icon' => 'fa fa-telegram',
                'text' => 'Telegram'
            ),
            'fa-trello' => array(
                'bg' => 'bg-trello',
                'icon' => 'fa fa-trello',
                'text' => 'Trello'
            ),
            'fa-tumblr' => array(
                'bg' => 'bg-tumblr',
                'icon' => 'fa fa-tumblr',
                'text' => 'Tumblr'
            ),
            'fa-wordpress' => array(
                'bg' => 'bg-wordpress',
                'icon' => 'fa fa-wordpress',
                'text' => 'WordPress'
            ),
            'fa-whatsapp' => array(
                'bg' => 'bg-whatsapp',
                'icon' => 'fa fa-whatsapp',
                'text' => 'Whatsapp'
            ),
            'fa-weixin' => array(
                'bg' => 'bg-weixin',
                'icon' => 'fa fa-weixin',
                'text' => 'Weixin'
            ),
            'fa-weibo' => array(
                'bg' => 'bg-weibo',
                'icon' => 'fa fa-weibo',
                'text' => 'Weibo'
            ),
            'fa-yahoo' => array(
                'bg' => 'bg-yahoo',
                'icon' => 'fa fa-yahoo',
                'text' => 'yahoo'
            ),
            'fa-tencent-weibo' => array(
                'bg' => 'bg-tencent-weibo',
                'icon' => 'fa fa-tencent-weibo',
                'text' => 'tencent-Weibo'
            ),
            'fa-renren' => array(
                'bg' => 'bg-renren',
                'icon' => 'fa fa-renren',
                'text' => 'renren'
            ),
            'fa-qq' => array(
                'bg' => 'bg-qq',
                'icon' => 'fa fa-qq',
                'text' => 'qq'
            ),
            
            
        );

        return $hash[ $network ];
    }

    function ld_testi_get_rating( $class = null, $rating ) {

        $out = '';
        $rating = $rating['size'];
        if( empty( $rating ) ) {
            return;
        }

        $active = '';

        $out .= '<ul class="lqd-star-rating ' . $class . '">';
        for( $i = 1; $i <= 5; $i++ ) {
            if( $i <= $rating ) {
                $active = ' active';
            }
            else {
                $active = '';
            }
            $out .= '<li><i class="fa fa-star' . $active . '"></i></li> ';
        }
        $out .= '</ul>';

        echo $out;
    }

    function ld_testi_get_time( $class = null, $time ) {	

        if( empty( $time ) ) {
            return;
        }

        if( ! empty( $class ) ) {
            $class = 'class="lqd-testi-time ' . $class . '"';
        }
        else {
            $class = 'class="lqd-testi-time"';
        }

        printf( '<span %1$s>%2$s</span>', $class,  esc_html( $time ) );

    }

    function ld_testi_get_image( $classnames = null, $image, $title ) {

        // check
        if( empty( $image ) ) {
            return '';
        }

        $out = '';

        $alt = $title;

        if( preg_match( '/^\d+$/', $image['url'] ) ){

            $out = wp_get_attachment_image( $image['id'], 'full', false, array( 'alt' => esc_html( $alt ) ) );
            // check

            if( ! $out ) {
                return;
            }
        } else {
            $out = sprintf( '<img src="%s" alt="%s" />', esc_url( $image['url'] ), esc_html( $alt ) );
        }

        // Default
        $out = sprintf( '<figure>%s</figure>', $out );

        echo $out;
    }

    function testimonials_template( $style, $quote, $avatar, $title, $position, $rating, $network, $time, $image ){

        $classes = array( 
            'lqd-testi',
            $this->ld_testi_get_classes( $style ), 
        );

        switch ($style){
            case 'style01':
            ?>
                <div class="<?php echo ld_helper()->sanitize_html_classes( $classes ) ?>">

                    <div class="lqd-testi-quote mb-1">
                        <?php $this->ld_testi_get_quote( $quote ); ?>
                    </div>

                    <div class="lqd-testi-info d-flex flex-wrap justify-content-between mb-3">

                        <div class="lqd-testi-details">
                            <?php $this->ld_testi_get_avatar( null, $style, $avatar, $title) ?>
                            <div class="lqd-testi-np">
                                <?php $this->ld_testi_get_name( 'h3', null, $title ) ?>
                                <?php $this->ld_testi_get_position( 'h4', 'font-weight-light', $position ) ?>
                            </div>

                        </div>

                    </div>

                </div>
            <?php
            break;

            case 'style02':
            ?>
                <div class="<?php echo ld_helper()->sanitize_html_classes( $classes ) ?>">

                    <div class="lqd-testi-quote mb-4">
                        <?php $this->ld_testi_get_quote( $quote ); ?>
                    </div>

                    <div class="lqd-testi-info d-flex flex-column flex-wrap justify-content-between">
                        <?php $this->ld_testi_get_rating( 'mb-5', $rating ) ?>

                        <div class="lqd-testi-details">
                            <?php $this->ld_testi_get_avatar(null, $style, $avatar, $title) ?>
                            <div class="lqd-testi-np">
                                <?php $this->ld_testi_get_name( 'h3', null, $title ) ?>
                                <?php $this->ld_testi_get_position( 'h4', null, $position ) ?>
                            </div>

                        </div>

                    </div>

                </div>
            <?php
            break;
            
            case 'style03':
            ?>
                <div class="<?php echo ld_helper()->sanitize_html_classes( $classes ) ?>">

                    <div class="lqd-testi-quote mb-md-9">
                        <?php $this->ld_testi_get_quote( $quote ); ?>
                    </div>

                    <div class="lqd-testi-info d-flex flex-wrap justify-content-between mt-md-6">

                        <div class="lqd-testi-details">
                            <?php $this->ld_testi_get_avatar( null, $style, $avatar, $title ) ?>
                            <div class="lqd-testi-np">
                                <?php $this->ld_testi_get_name( 'h3', null, $title ) ?>
                                <?php $this->ld_testi_get_position( 'h4', null, $position ) ?>
                            </div>

                        </div>

                        <?php $this->ld_testi_get_social_icon( $network ); ?>

                    </div>

                </div>
            <?php
            break;
            
            case 'style04':
            ?>
                <div class="<?php echo ld_helper()->sanitize_html_classes( $classes ) ?>">

                    <div class="d-flex flex-column flex-grow">

                        <div class="lqd-testi-info d-flex flex-wrap align-items-center justify-content-between mb-2">
                            <div class="lqd-testi-np">
                                <?php $this->ld_testi_get_name( 'h3', 'font-weight-medium', $title ) ?>
                            </div>
                            <?php $this->ld_testi_get_social_icon( $network ); ?>	
                        </div>

                        <div class="lqd-testi-quote mb-1">
                            <?php $this->ld_testi_get_quote( $quote ); ?>
                        </div>

                        <div class="lqd-testi-details">
                            <?php $this->ld_testi_get_time( 'font-weight-medium', $time ); ?>
                            <?php $this->ld_testi_get_rating( 'mt-2', $rating ); ?>
                        </div>

                    </div>

                    <div class="lqd-testi-details">
                        <?php $this->ld_testi_get_avatar( null, $style, $avatar, $title ) ?>
                    </div>

                </div>
            <?php
            break;
            
            case 'style05':
            ?>
                <div class="<?php echo ld_helper()->sanitize_html_classes( $classes ) ?>">

                    <div class="lqd-testi-extra mb-3">
                        <?php $this->ld_testi_get_image( null, $image, $title ) ?>
                    </div>

                    <div class="lqd-testi-quote mb-4">
                        <?php $this->ld_testi_get_quote( $quote ); ?>
                    </div>

                    <div class="lqd-testi-info d-flex flex-column flex-wrap justify-content-between">

                        <?php $this->ld_testi_get_rating( 'mb-6', $rating ) ?>
                        <div class="lqd-testi-details">
                            <?php $this->ld_testi_get_avatar( null, $style, $avatar, $title ) ?>
                            <div class="lqd-testi-np">
                                <?php $this->ld_testi_get_name( 'h3', $classes = null, $title ) ?>
                                <?php $this->ld_testi_get_position( 'h4', $classes = null, $position ) ?>
                            </div>

                        </div>

                    </div>

                </div>
            <?php
            break;
            
            case 'style06':
            ?>
                <div class="<?php echo ld_helper()->sanitize_html_classes( $classes ) ?>">

                    <div class="lqd-testi-quote w-75 mx-auto mb-7">
                        <?php $this->ld_testi_get_quote( $quote ); ?>
                    </div>

                    <div class="lqd-testi-info d-flex flex-column flex-wrap justify-content-between">
                        <div class="lqd-testi-details">
                            <?php $this->ld_testi_get_avatar( null, $style, $avatar, $title ) ?>
                            <div class="lqd-testi-np">
                                <?php $this->ld_testi_get_name( 'h3', null, $title ) ?>
                                <?php $this->ld_testi_get_position( 'h4', null, $position ) ?>
                            </div>
                        </div>
                    </div>

                </div>
            <?php
            break;
            
            case 'style07':
            ?>
                <div class="<?php echo ld_helper()->sanitize_html_classes( $classes ) ?>">

                <div class="lqd-testi-details d-flex align-items-stretch w-40">
                    <?php $this->ld_testi_get_avatar( null, $style, $avatar, $title ); ?>
                </div>

                <div class="d-flex flex-column justify-content-center w-60 py-5 px-6">

                    <div class="lqd-testi-quote mb-5">
                        <?php $this->ld_testi_get_quote( $quote ); ?>
                    </div>

                    <div class="lqd-testi-info d-flex flex-wrap justify-content-between">

                        <div class="lqd-testi-details">

                            <div class="lqd-testi-np">
                                <?php $this->ld_testi_get_name( 'h3', null, $title ) ?>
                                <?php $this->ld_testi_get_position( 'h4', null, $position ) ?>
                            </div>

                        </div>

                        <?php $this->ld_testi_get_social_icon( $network ); ?>

                    </div>

                </div>

                </div>
            <?php
            break;
            
            case 'style08':
            ?>
                <div class="<?php echo ld_helper()->sanitize_html_classes( $classes ) ?>">

                    <div class="lqd-testi-quote mb-1">
                        <?php $this->ld_testi_get_quote( $quote ); ?>
                    </div>

                    <div class="lqd-testi-info d-flex flex-wrap justify-content-between mb-4">

                        <div class="lqd-testi-details">

                            <?php $this->ld_testi_get_avatar( null, $style, $avatar, $title ) ?>

                            <div class="lqd-testi-np">
                                <?php $this->ld_testi_get_name( 'h3', 'font-weight-medium', $title ) ?>
                                <?php $this->ld_testi_get_position( 'h4', null, $position ) ?>
                            </div>

                        </div>

                        <?php $this->ld_testi_get_social_icon( $network ); ?>

                    </div>

                </div>
            <?php
            break;
            
            case 'style09':
            ?>
                <div class="<?php echo ld_helper()->sanitize_html_classes( $classes ) ?>">

                    <div class="lqd-testi-quote mb-1 px-4 py-4">
                        <?php $this->ld_testi_get_quote( $quote ); ?>
                        <?php $this->ld_testi_get_rating( 'mt-4', $rating ) ?>
                    </div>

                    <div class="lqd-testi-info d-flex flex-wrap px-4 py-3">

                        <div class="lqd-testi-details d-flex flex-wrap flex-row-reverse justify-content-between w-100">
                            <?php $this->ld_testi_get_avatar( 'mx-0', $style, $avatar, $title ) ?>
                            <div class="lqd-testi-np">
                                <?php $this->ld_testi_get_name( 'h3', 'font-weight-medium', $title ) ?>
                                <?php $this->ld_testi_get_position( 'h4', null, $position ) ?>
                            </div>

                        </div>

                    </div>

                </div>
            <?php
            break;
            
            case 'style10':
            ?>

                <div class="<?php echo ld_helper()->sanitize_html_classes( $classes ) ?>">

                    <div class="lqd-testi-extra mt-2 mb-4">

                        <svg class="lqd-testi-quote-icon lqd-testi-quote-icon-flip" xmlns="http://www.w3.org/2000/svg" width="48" height="48" viewBox="0 0 48 48">
                            <circle cx="24" cy="24" r="24"/>
                            <path d="M33.6506355,22.4458786 C34.1870129,24.3649793 34.1999448,26.4569702 33.6852534,28.1856729 C33.115054,30.1017893 31.9414302,31.3977692 30.3804449,31.8340732 C29.9875127,31.9440942 29.5828423,32 29.177575,32 C27.1880449,32 25.4239286,30.6602504 24.8875513,28.7425424 C24.2258336,26.3757974 25.612536,23.9115654 27.9796789,23.2492508 C29.0289571,22.9569888 30.1876594,23.0682036 31.158948,23.5488741 C31.1277124,23.417963 31.0952831,23.2924236 31.0610632,23.1696696 C30.1958165,20.0761493 28.4985484,18.684274 27.5698357,18.684274 L27.5288514,18.6850698 C27.3503906,18.6932269 27.1786941,18.5728603 27.1289559,18.3947974 L26.6134686,16.5509009 C26.5830288,16.4426704 26.5999398,16.3268798 26.6598247,16.2315813 C26.7199085,16.1368797 26.8169976,16.0716231 26.9280133,16.0521257 C27.1237831,16.0175079 27.3247256,16 27.5258671,16 C30.0300887,16 32.6063312,18.7111327 33.6506355,22.4458786 Z M17.2027923,16.0003979 C19.7076107,16.0003979 22.2834553,18.7111327 23.3283565,22.4454807 C23.8649328,24.3647803 23.8776658,26.4569702 23.3631733,28.1856729 C22.792775,30.1017893 21.6191512,31.3977692 20.0583649,31.8340732 C19.6652337,31.9440942 19.2605633,32 18.855296,32 C16.8657659,32 15.1016496,30.6602504 14.5652723,28.7425424 C13.9031566,26.3757974 15.290257,23.9115654 17.657002,23.2492508 C18.7062802,22.9569888 19.8645846,23.0682036 20.8362711,23.5488741 C20.8052345,23.4187588 20.7728051,23.2932194 20.7383862,23.1696696 C19.8731396,20.0761493 18.1756725,18.684274 17.2469599,18.684274 L17.2063735,18.6850698 C17.0247294,18.6932269 16.8562162,18.5728603 16.8064779,18.3947974 L16.2907917,16.5509009 C16.2605509,16.4426704 16.2774619,16.3268798 16.3373467,16.2315813 C16.3972316,16.1368797 16.4945196,16.0712252 16.6053364,16.0521257 C16.8009072,16.0175079 17.0020487,16.0003979 17.2027923,16.0003979 Z"/>
                        </svg>

                    </div>

                    <div class="lqd-testi-quote mb-6">
                        <?php $this->ld_testi_get_quote( $quote ); ?>
                    </div>

                    <div class="lqd-testi-info mb-1">

                        <div class="lqd-testi-details d-flex flex-column">
                            <?php $this->ld_testi_get_avatar( 'mx-0 mb-2', $style, $avatar, $title ) ?>
                            <div class="lqd-testi-np">
                                <?php $this->ld_testi_get_name( 'h3', 'font-weight-medium', $title ) ?>
                                <?php $this->ld_testi_get_position( 'h4', null, $position ) ?>
                            </div>

                        </div>

                    </div>

                </div>

            <?php
            break;
            
            case 'style11':
            ?>
                <div class="<?php echo ld_helper()->sanitize_html_classes( $classes ) ?>">

                    <div class="lqd-testi-extra mt-3 mb-5">
                        <?php $this->ld_testi_get_rating( null, $rating ) ?>
                    </div>

                    <div class="lqd-testi-quote mb-7">
                        <?php $this->ld_testi_get_quote( $quote ); ?>
                    </div>

                    <div class="lqd-testi-info mb-1">

                        <div class="lqd-testi-details d-flex flex-column">
                            <?php $this->ld_testi_get_avatar( 'mx-0 mb-2', $style, $avatar, $title ) ?>
                            <div class="lqd-testi-np">
                                <?php $this->ld_testi_get_name( 'h3', 'font-weight-medium', $title ) ?>
                                <?php $this->ld_testi_get_position( 'h4', null, $position ) ?>
                            </div>

                        </div>

                    </div>

                </div>
            <?php
            break;
            
            case 'style12':
            ?>
                <div class="<?php echo ld_helper()->sanitize_html_classes( $classes ) ?>">

                    <div class="d-flex flex-wrap">

                        <div class="lqd-testi-left-sec w-10">
                        
                            <div class="lqd-testi-extra mt-2">
                                <svg class="lqd-testi-quote-icon" xmlns="http://www.w3.org/2000/svg" width="38" height="29" viewBox="0 0 38 29">
                                    <path fill="#348EF5" d="M54.5068359,11.9578125 C49.6617596,14.3406369 47.2392578,17.1404136 47.2392578,20.3572266 C49.3043723,20.595509 51.0120375,21.4394133 52.3623047,22.8889648 C53.7125719,24.3385164 54.3876953,26.0163967 54.3876953,27.9226563 C54.3876953,29.948057 53.7324284,31.6557222 52.421875,33.0457031 C51.1113216,34.435684 49.4632261,35.1306641 47.4775391,35.1306641 C45.2535696,35.1306641 43.3274821,34.22719 41.6992188,32.4202148 C40.0709554,30.6132397 39.2568359,28.4190884 39.2568359,25.8376953 C39.2568359,18.093516 43.5855687,12.0372614 52.2431641,7.66875 L54.5068359,11.9578125 Z M32.7041016,11.9578125 C27.8193115,14.3406369 25.3769531,17.1404136 25.3769531,20.3572266 C27.4817814,20.595509 29.2093031,21.4394133 30.5595703,22.8889648 C31.9098375,24.3385164 32.5849609,26.0163967 32.5849609,27.9226563 C32.5849609,29.948057 31.9197658,31.6557222 30.5893555,33.0457031 C29.2589452,34.435684 27.6009214,35.1306641 25.6152344,35.1306641 C23.3912649,35.1306641 21.4751057,34.22719 19.8666992,32.4202148 C18.2582927,30.6132397 17.4541016,28.4190884 17.4541016,25.8376953 C17.4541016,18.093516 21.7629777,12.0372614 30.3808594,7.66875 L32.7041016,11.9578125 Z" transform="translate(-17 -7)"/>
                                </svg>
                            </div>

                        </div>

                        <div class="lqd-testi-right-sec w-90 px-5">

                            <div class="d-flex flex-column flex-grow">
                        
                                <div class="lqd-testi-quote mb-5">
                                    <?php $this->ld_testi_get_quote( $quote ); ?>
                                </div>
                        
                            </div>
                        
                            <div class="lqd-testi-details">
                                <?php $this->ld_testi_get_avatar( null, $style, $avatar, $title ) ?>
                                <div class="lqd-testi-np">
                                    <?php $this->ld_testi_get_name( 'h3', null, $title ) ?>
                                    <?php $this->ld_testi_get_position( 'h4', null, $position ) ?>
                                </div>

                            </div>

                        </div>

                    </div>

                </div>
            <?php
            break;
            
            case 'style13':
            ?>
                <div class="<?php echo ld_helper()->sanitize_html_classes( $classes ) ?>">

                    <div class="lqd-testi-quote mb-4">
                        <?php $this->ld_testi_get_quote( $quote ); ?>
                    </div>

                    <div class="lqd-testi-info w-100">

                        <div class="lqd-testi-details">
                            <?php $this->ld_testi_get_avatar( null, $style, $avatar, $title ) ?>
                            <div class="lqd-testi-np">
                                <?php $this->ld_testi_get_name( 'h3','font-weight-medium', $title ) ?>
                                <?php $this->ld_testi_get_position( 'h4','font-weight-light', $position ) ?>
                            </div>

                        </div>

                    </div>

                </div>
            <?php
            break;
            
            case 'style14':
            ?>
                <div class="<?php echo ld_helper()->sanitize_html_classes( $classes ) ?>">

                    <div class="lqd-testi-quote mb-0">
                        <?php $this->ld_testi_get_quote( $quote ); ?>
                    </div>

                    <div class="lqd-testi-info mb-5">

                        <div class="lqd-testi-details">
                            <?php $this->ld_testi_get_avatar( null, $style, $avatar, $title ) ?>
                            <div class="lqd-testi-np">
                                <?php $this->ld_testi_get_name( 'h3', 'font-weight-medium', $title ) ?>
                                <?php $this->ld_testi_get_position( 'h4', 'font-weight-light', $position) ?>
                            </div>

                        </div>

                    </div>

                </div>
            <?php
            break;
            
            case 'style15':
            ?>
                <div class="<?php echo ld_helper()->sanitize_html_classes( $classes ) ?>">

                    <div class="lqd-testi-inner p-6">

                        <div class="lqd-testi-quote mb-4">
                            <?php $this->ld_testi_get_quote( $quote ); ?>
                        </div>

                        <div class="lqd-testi-info">

                            <div class="lqd-testi-details">

                                <div class="lqd-testi-np">
                                    <?php $this->ld_testi_get_name( 'h3', 'font-weight-medium', $title) ?>
                                    <?php $this->ld_testi_get_position( 'h4', 'font-weight-light', $position ) ?>
                                </div>

                            </div>

                        </div>

                    </div>

                </div>
            <?php
            break;
            
            case 'style16':
            ?>
                <div class="<?php echo ld_helper()->sanitize_html_classes( $classes ) ?>">

                    <div class="lqd-testi-details d-flex align-items-stretch w-100 w-sm-50">
                        <?php $this->ld_testi_get_avatar( null, $style, $avatar, $title ); ?>
                    </div>

                    <div class="d-flex flex-column justify-content-center w-100 w-sm-50 p-md-9 p-5">

                        <div class="lqd-testi-extra mb-2">
                            <svg class="lqd-testi-quote-icon-gradient" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="150" height="131" viewBox="0 0 281.155 245.956">
                                <defs>
                                    <linearGradient id="testi-icon-gradient" x1="0.5" x2="0.5" y2="1" gradientUnits="objectBoundingBox">
                                        <stop offset="0" stop-color="#e5e9f2" stop-opacity="0.243" />
                                        <stop offset="1" stop-color="#737579" stop-opacity="0" />
                                    </linearGradient>
                                </defs>
                                <path d="M0-37.9v-70.289q0-57.659,26.358-95.549,27.457-38.988,80.173-53.266a12.548,12.548,0,0,1,11.257,2.2,12.28,12.28,0,0,1,5.217,10.433v18.67a12.849,12.849,0,0,1-2.471,7.413,11.344,11.344,0,0,1-6.315,4.668Q57.11-192.758,57.11-134.55H96.647a25.419,25.419,0,0,1,18.67,7.688,25.419,25.419,0,0,1,7.688,18.67V-37.9a25.419,25.419,0,0,1-7.688,18.67,25.419,25.419,0,0,1-18.67,7.688H26.358a25.419,25.419,0,0,1-18.67-7.688A25.419,25.419,0,0,1,0-37.9ZM184.508-11.545H254.8a25.419,25.419,0,0,0,18.67-7.688,25.419,25.419,0,0,0,7.688-18.67v-70.289a25.419,25.419,0,0,0-7.688-18.67,25.419,25.419,0,0,0-18.67-7.688H215.259q0-58.208,57.11-79.075a11.344,11.344,0,0,0,6.315-4.668,12.849,12.849,0,0,0,2.471-7.413v-18.67a12.28,12.28,0,0,0-5.217-10.433,12.548,12.548,0,0,0-11.257-2.2q-52.717,14.277-80.173,53.266-26.358,37.89-26.358,95.549V-37.9a25.419,25.419,0,0,0,7.688,18.67A25.419,25.419,0,0,0,184.508-11.545Z" transform="translate(0 257.5)" fill="url(#testi-icon-gradient)" />
                            </svg>
                        </div>

                        <div class="lqd-testi-quote mb-3">
                            <?php $this->ld_testi_get_quote( $quote ); ?>
                        </div>
                        
                        <div class="lqd-testi-info mb-5">
                            <div class="lqd-testi-details">
                                <div class="lqd-testi-np">
                                    <?php $this->ld_testi_get_name( 'h3', 'font-weight-medium', $title) ?>
                                    <?php $this->ld_testi_get_position( 'h4', 'font-weight-regular', $position ) ?>
                                </div>
                            </div>
                        </div>

                        <div class="lqd-testi-extra">
                            <?php $this->ld_testi_get_image( null, $image, $title ); ?>
                        </div>
                        
                    </div>

                </div>
            <?php
            break;
            
            case 'style17':
            ?>
                <div class="<?php echo ld_helper()->sanitize_html_classes( $classes ) ?>">

                    <div class="lqd-testi-quote pos-rel p-6 mb-6">
                        <?php $this->ld_testi_get_quote( $quote ); ?>
                    </div>

                    <div class="lqd-testi-details d-flex flex-column">

                        <?php $this->ld_testi_get_avatar( null, $style, $avatar, $title ); ?>
                        <div class="lqd-testi-np">
                            <?php $this->ld_testi_get_name( 'h3', 'font-weight-bold', $title ) ?>
                            <?php $this->ld_testi_get_position( 'h4', 'font-weight-bold text-uppercase ltr-sp-1', $position ) ?>
                        </div>

                    </div>

                </div>
            <?php
            break;

            case 'style18':
            ?>

                <div class="<?php echo ld_helper()->sanitize_html_classes( $classes ) ?>">

                    <div class="d-flex justify-content-center mb-4">
                        <?php $this->ld_testi_get_rating( 'lqd-star-rating-outline', $rating ) ?>
                    </div>

                    <div class="lqd-testi-quote mb-4 px-3 px-md-5">
                        <?php $this->ld_testi_get_quote( $quote ); ?>
                    </div>

                    <div class="lqd-testi-info d-flex flex-column flex-wrap justify-content-between">

                        <div class="lqd-testi-details">
                            <?php $this->ld_testi_get_avatar( null, $style, $avatar, $title ) ?>
                            <div class="lqd-testi-np">
                                <?php $this->ld_testi_get_name( 'h3', 'text-uppercase ltr-sp-1 font-weight-bold', $title ) ?>
                                <?php $this->ld_testi_get_position( 'h4', null, $position ) ?>
                            </div>

                        </div>

                    </div>

                    <div class="lqd-testi-extra pt-4 mt-4">
                        <?php $this->ld_testi_get_image( null, $image, $title ) ?>
                    </div>

                </div>

            <?php
            break;
            
            case 'style19':
            ?>

                <div class="<?php echo ld_helper()->sanitize_html_classes( $classes ) ?>">

                    <div class="lqd-testi-extra mb-4">
                        <?php $this->ld_testi_get_image( null, $image, $title ) ?>
                    </div>

                    <div class="lqd-testi-quote mb-4">
                        <?php $this->ld_testi_get_quote( $quote ); ?>
                    </div>

                    <div class="d-flex mb-2">
                        <?php $this->ld_testi_get_rating( 'lqd-star-rating-fill', $rating ) ?>
                    </div>

                    <div class="lqd-testi-info d-flex flex-column flex-wrap justify-content-between">

                        <div class="lqd-testi-details">
                            <div class="lqd-testi-np d-flex align-items-center">
                                <?php $this->ld_testi_get_name( 'h3', null, $title ) ?>
                                <?php $this->ld_testi_get_position( 'h4', null, $position ) ?>
                            </div>

                        </div>

                    </div>

                </div>

            <?php
            break;
        }
    }
}